ZMNinja for 1.33.3?

Discussion topics related to mobile applications for ZoneMinder
Post Reply
Jay
Posts: 9
Joined: Mon Jul 09, 2018 3:26 am

ZMNinja for 1.33.3?

Post by Jay » Wed Mar 13, 2019 8:37 pm

Hi!

Does ZMNinja support ZoneMinder 1.33.3? I updated everything and now I don't have videos. I checked the API and everything works there. Just wondering if something in 1.33.3 is incompatible with 1.3.050(ios)?

Thanks!

Jay
Posts: 9
Joined: Mon Jul 09, 2018 3:26 am

Re: ZMNinja for 1.33.3?

Post by Jay » Wed Mar 13, 2019 9:43 pm

The exact error in the logs is:

zms_m8 12885 ERR Unable to authenticate user zms.cpp 201

Which is odd because I can login through the browser and retrieve the info from the api that zmninja would request.

If this isn't supported yet, just let me know and I will downgrade to whatever version is...

Thanks!

Jay
Posts: 9
Joined: Mon Jul 09, 2018 3:26 am

Re: ZMNinja for 1.33.3?

Post by Jay » Wed Mar 13, 2019 10:00 pm

I am pretty sure I posted this so that my computer would know that I was reaching out for assistance and it relayed to my server to stop acting up... I believe I may have disabled auth_relay at some point in the past when I was dealing with the zmeventserver setup because I am using ZoneMinder through a proxy. This is working properly once changing auth_relay to hashed.

:oops: :roll:

User avatar
asker
Posts: 993
Joined: Sun Mar 01, 2015 12:12 pm

Re: ZMNinja for 1.33.3?

Post by asker » Sat Mar 16, 2019 11:26 am

All's well that ends well, I suppose.
Yes, AUTH_RELAY does need to be set to hashed.
--
My collection of ZoneMinder learnings:
https://wiki.zoneminder.com/Various_ZM_thoughts

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests